#!/bin/sh

if [ "$1" = "" ]; then
  echo -e 'Usage: mptopng1.sh FILE [DPI [-noantialias]]\n'
  exit 1
fi

if [ "$2" = "" ]; then
  DPI=300
else
  DPI=$2
fi

DIR=$PWD
FILE=$DIR/`echo $1 | awk 'BEGIN{FS=".";} {print $1}'`
EPS=$FILE.eps
GIF=$FILE.png

#cd /tmp
cp $FILE.mp mptopng.$$.mp
echo "\\hsize=18.85cm\\vsize=25cm\\input epsf\\nopagenumbers\\leavevmode\\noindent\\epsfbox{mptopng.$$.1}\\vfill\\end" > mptopng.$$.tex
#for file in $DIR/mbmac.mp $DIR/mbmacpf.mp $DIR/mbmac.tex $DIR/fop.tex $DIR/*.tfm $DIR/*.*pk $DIR/data; do
#  ln -sf $file
#done

echo "prologues:=1;" > prologues.mp
mpost mptopng.$$.mp
cp mptopng.$$.1 $FILE.2

echo "prologues:=0;" > prologues.mp
mpost mptopng.$$.mp
cp mptopng.$$.1 $FILE.1

csplain mptopng.$$.tex
dvips -t a4 -o mptopng.$$.ps mptopng.$$.dvi
psfixbb -o $EPS mptopng.$$.ps
gs -q -dSAFER -sPAPERSIZE=a4 -sDEVICE=ppmraw -sOutputFile=- -dNOPAUSE -r"$DPI"x"$DPI" $EPS quit.ps | pnmcrop > mptopng.$$.pnm
if [ "$3" != "-noantialias" ]; then
  pnmscale 0.5 < mptopng.$$.pnm | ppmquant 256 | pnmtopng > $GIF
else
  ppmquant 256 < mptopng.$$.pnm | pnmtopng > $GIF
fi

rm mptopng.$$.*
#rm mbmac.mp mbmacpf.mp mbmac.tex fop.tex
#cd $DIR

